/**********************************************************************
   Copyright [2012] [KibaCorp]

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
//********************************************************************


#ifndef __DELAY_H__
#define __DELAY_H__ 

/*
** Delay routines using TMR1
**
*/
void Delayms( unsigned);


/**** software delays different sw delays for PIC24FJ64GA004 set for FRCPLL with no clock div
********************************************************************************************/

	
	void delay_1us(void);  //used in LCD for E
	void delay_5us(void) ;
	void delay_30us(void); //used between commands
	void delay_100us(void) ;
	void delay_5msec(void); //used for Busy delay 
	void delay_40msec(void);
	void delay(void) ; //100s msec
	
	void big_delay(void) ; //seconds
	
#endif




