/**********************************************************************
   Copyright [2012] [KibaCorp]

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
//********************************************************************


/* 
** Delay routines using TMR1
**
*/
//#include "p24fj64ga002.h"
/* MPLAB includes. */
#include <p32xxxx.h>
#include <plib.h>

void Delayms( unsigned t)
{
    T1CON = 0x8000;     // enable tmr1, Tcy, 1:1
    while (t--)
    {
        TMR1 = 0;
        while (TMR1<10000);
      
    }
} // Delayms

/**** software delays different sw delays for PIC24FJ64GA004 set for FRCPLL with no clock div
********************************************************************************************/
#define iend 500
#define jend 1000

	void delay(void) { //100s msec
		int i,j;
		for (i=0; i<iend; i++)
			for (j=0;j<jend; j++); 
	}
	
	
	void delay_100us(void) {
		int j;
			for (j=0;j<320; j++); 
	}

	void delay_5us(void) { //modified for PIC32 @80mhz
		int j;
			for (j=0;j<46; j++); 
	}
	
	void delay_1us(void) {
		int j;
			for (j=0;j<1; j++); 
	}
	void delay_30us(void) {
		int j;
			for (j=0;j<96; j++); 
	}
	void delay_5msec(void) {
		int j;
			for (j=0;j<16000; j++); 
	}
	void delay_40msec() {
		int j;
			for (j=0;j<2; j++) 
			delay_5msec();
			}

void big_delay(void) { //2seconds
	
	int i;
	for (i =0; i<200;i++) 
	Delayms(50);
}
