/**********************************************************************
   Copyright [2012] [KibaCorp]

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
//********************************************************************


/*
** graphics library interface 
** modified 3/14/09 for experimenter
** added bit map capability
**
change for 102-6
modified for PIC32 version0
modified for PIC32 version1
adapted for LCDBlock interface 5/1/2011
extern BYTE LCDText[16*2+1];
void LCDInit(void);
void LCDUpdate(void);
void LCDErase(void);
void LCDWriteLine(WORD number, char *line);
*/

#define HRES 102
#define VRES 64
#define AT( x, y)   { cx = (x); cy = (y);}
    
extern BYTE LCDText[12*8+1];
extern int cx, cy;
void LCDInit(void);
void LCDUpdate(void);
void LCDErase(void);
void putcV( int a);

void putsV( unsigned char *s);
void drawbitmap32x32 ( long unsigned *slp,unsigned char xoff, unsigned char yoff); //old form draws only 32x32 created from FMT files
//new general bit map drawer using DOTFACTORY
void drawbitmap ( unsigned char *pt, unsigned char xoff, unsigned char yoff, int width, int height);



void initSD( void);     // initializes the I/O pins for the SD/MMC interface 
unsigned char writeSPI( unsigned char b);
void enableCS(void);

void disableCS(void);
void setAO(void);

void clearA0(void);

void clearDisplay(void);
void clearVmap( void);
void dumpVmap( void);
void clearScreen (void);
void line( int x0, int y0, int x1, int y1);
void plotxsinx(void);
void random_line_demo( void);
void Rectangle ( int left, int top, int right, int bottom);
//void Circle ( int xcenter, int ycenter, int radius);
void Bar ( int left, int top, int right, int bottom);
void Triangle ( int topx, int topy, int rightx, int righty) ;
void IsoTriangle ( int topx, int topy, int rightx, int righty);

void goto_xy(char x, char y);

void redBLON(void);
void redBLOFF(void);
void greenBLOFF(void);
void greenBLON( int setting);
void greenLEDON(void);
void greenLEDOFF(void);
void redLEDON(void);
void redLEDOFF(void);
